<?php
/**
 * Created by JetBrains PhpStorm.
 * User: leonardocarvalho
 * Date: 08/08/13
 * Time: 15:40
 * To change this template use File | Settings | File Templates.
 */

namespace BancoTalentos\Logic;

use BancoTalentos\Logic\Cadastros\Dependente;
use BancoTalentos\Logic\Cadastros\ContcorrParc;
use BancoTalentos\Logic\Cadastros\EmpregAnterior;
use BancoTalentos\Logic\Cadastros\Formacao;
use BancoTalentos\Logic\Cadastros\NovaParceria;
use BancoTalentos\Logic\Cadastros\Operador;
use BancoTalentos\Logic\Cadastros\ParceiroNegocio;
use BancoTalentos\Logic\Cadastros\ParceiroNegocio\Comunicacao;
use BancoTalentos\Logic\Cadastros\ParceiroNegocio\Endereco;
use BancoTalentos\Logic\Cadastros\Pessoa;
use BancoTalentos\Logic\Cadastros\updatePessoa;
use BancoTalentos\Logic\Cadastros\DadosAdicionais;

use Setforms2\Shared\ORM\DateType;
use Setforms2\Shared\ORM\TkDateType;

use Controller\ValoresDefault;
use Geral\Util\DateUtil;

class Cadastros {

    const IDATIVO = 'S';
    const TIPO_PARCEIRO = 'PESSOA';
    const TIPO_PARCEIRO_CANDIDATO = 'CANDIDATO';
    const IDPESSOAFISICA = 'S';
    const IDINSTITUICAO = 'N';
    const CDTIPOINSCRICAO = 'CPF';

    const CDTIPOENDERECO = 'PRINCIPAL';
    const CDGRUPOPER_CANDIDATO = '03';

    /**
     * Insere Parceiro de Negócio, Parceria, Comunicação, Endereço e Dados Adicionais
     *
     * @param $nrorg
     * @param $municipio
     * @param $estado
     * @param $pais
     * @param $dtnascimento
     * @param $cpf
     * @param $email
     * @param $nome
     * @param $grauinstrucao
     * @param $nmbairroendereco
     * @param $cdlogradouro
     * @param $dsendereco
     * @param $nrimovelendereco
     * @param $dscompleendereco
     * @param $nrcependereco
     * @param $dscomunicoes
     * @param $dtmescompetencia
     * @param $sexo
     * @param $estadocivil
     * @param $nacionalidade
     * @param $apresentação
     * @param $observacoes
     *
     * leonardocarvalho 11/02/2015
     */
    public static function cadastraParcNegocio($nrorg, $municipio, $estado, $pais, $dtnascimento, $cpf, $email, $nome,
                                               $grauinstrucao, $nmbairroendereco, $cdlogradouro, $dsendereco, $nrimovelendereco,
                                               $dscompleendereco, $nrcependereco, $dscomunicoes, $dtmescompetencia,
                                               $sexo, $estadocivil, $nacionalidade, $apresentação, $observacoes, $cdpaisend, 
                                               $sgestadoend, $cdmunicipioend, $dsareainteresse, $senha, $serviceOperador, $idpossuifilho)
    {
        //$save = tk_get_env_var('CADASTRO');
        $valorDefault = new ValoresDefault();
        var_dump($valorDefault);die;
        $nrorg = $valorDefault->getNrorgPadrao();

        //if (self::verificaSave($save)) {
            try {

                $idativo = self::IDATIVO;
                $cdtipoparceiro = self::TIPO_PARCEIRO;
                $cdparceirocandidato = self::TIPO_PARCEIRO_CANDIDATO;
                $idpessoafisica = self::IDPESSOAFISICA;
                $idinstituicao = self::IDINSTITUICAO;
                $cdtipoinscricao = self::CDTIPOINSCRICAO;

                // CADASTRO DE PARCEIRO DE NEGÓCIO
                $parcnegocio = new ParceiroNegocio();
                $parcnegocio->novoParceiro($nrorg, $idativo, $nome, $nome, $cdtipoparceiro, $idpessoafisica,
                    $idinstituicao, $cdtipoinscricao, $cpf, $dtnascimento);


                $valorDefault->setNrParcNegocio($parcnegocio->getParceiro()->getNrparcnegocio());


                $parceria = new NovaParceria();
                // insere parceria do tipo CANDIDATO
                $parceria->novaParceria($nrorg, $idativo, $cdparceirocandidato, $parcnegocio->getParceiro()->getNrparcnegocio());
                // insere parceria do tipo PESSOA
                $parceria->novaParceria($nrorg, $idativo, $cdtipoparceiro, $parcnegocio->getParceiro()->getNrparcnegocio());


                //tk_set_env_var('NRPARCNECOCIO_WZD', $parcnegocio->getParceiro()->getNrparcnegocio());
                //$dscomunicoes['email'] = $email;
                $comunicacao = new Comunicacao();
                $comunicacao->novaComunicacao($nrorg, $parcnegocio->getParceiro()->getNrparcnegocio(), $idativo,
                    $cdprefixcomuparc = null, $dscomunicoes, $cdcomplecomuparc = null);

                $dadosadicionais = new DadosAdicionais();
                $dadosadicionais->novoDadosAdicionais($nrorg, $parcnegocio->getParceiro()->getNrparcnegocio(),
                    $apresentação, $observacoes, $dsareainteresse);

                $cdtipoendereco = self::CDTIPOENDERECO;

                $endereco = new Endereco();
                $endereco->novoEndereco($nrorg, $parcnegocio->getParceiro()->getNrparcnegocio(), $cdpaisend, $sgestadoend, $cdmunicipioend,
                    $cdlogradouro, $nmbairroendereco, $cdtipoendereco, $nrcependereco, $dscompleendereco, $nrimovelendereco,
                    $dsendereco);

                list($primeiroNome, $meioNome, $ultimoNome) = self::decompoeNomePessoa($nome);

                self::cadastraPessoa($nrorg, $parcnegocio->getParceiro()->getNrparcnegocio(), $dtmescompetencia, $nome,
                    $primeiroNome, $meioNome, $ultimoNome, $dtnascimento, $sexo, $cpf, $estadocivil,
                    $pais, $estado, $municipio, $nacionalidade, $grauinstrucao, $idpossuifilho);

                self::cadastraOperador($nome, $email, $dtnascimento, $nrorg, $email, $parcnegocio->getParceiro()->getNrparcnegocio(), $senha, $serviceOperador);

                //$msg = 'Dados salvos com sucesso.';

                /*$msg = 'S';
                return $msg;*/

            } catch (Exception $e) {

               /* //$error = 'Ops! Não foi possível cadastrar, informe ao administrador o seguinte erro: ' . $e->getMessage();
                $error = 'E';
                return $error;*/

            }
            return $parcnegocio->getParceiro()->getNrparcnegocio();
        //}
    }

    public static function cadastraParcNegocioInicial($nrorg, $municipio, $estado, $pais, $dtnascimento, $cpf, $email, $nome,$grauinstrucao, 
                                                        $sexo, $estadocivil, $nacionalidade, $senha, $serviceOperador, $idpossuifilho, $dtmescompetencia)
    {
        //$save = tk_get_env_var('CADASTRO');
        $valorDefault = new ValoresDefault();
        $nrorg = $valorDefault->getNrorgPadrao();        

        try {

            $connection = \Setforms2\Shared\Registry::getEntityManager();
            $connection->beginTransaction();

            $idativo = self::IDATIVO;
            $cdtipoparceiro = self::TIPO_PARCEIRO;
            $cdparceirocandidato = self::TIPO_PARCEIRO_CANDIDATO;
            $idpessoafisica = self::IDPESSOAFISICA;
            $idinstituicao = self::IDINSTITUICAO;
            $cdtipoinscricao = self::CDTIPOINSCRICAO;

            // CADASTRO DE PARCEIRO DE NEGÓCIO
            $parcnegocio = new ParceiroNegocio();

            $parcnegocio->novoParceiro($nrorg, $idativo, $nome, $nome, $cdtipoparceiro, $idpessoafisica,
                $idinstituicao, $cdtipoinscricao, $cpf, $dtnascimento);

            $valorDefault->setNrParcNegocio($parcnegocio->getParceiro()->getNrparcnegocio());


            $parceria = new NovaParceria();
            // insere parceria do tipo CANDIDATO
            $parceria->novaParceria($nrorg, $idativo, $cdparceirocandidato, $parcnegocio->getParceiro()->getNrparcnegocio());
            // insere parceria do tipo PESSOA
            $parceria->novaParceria($nrorg, $idativo, $cdtipoparceiro, $parcnegocio->getParceiro()->getNrparcnegocio());

            $dscomunicoes = $email;
            $comunicacao = new Comunicacao();
            $comunicacao->novaComunicacaoEmail($nrorg, $parcnegocio->getParceiro()->getNrparcnegocio(), $idativo,
                $cdprefixcomuparc = null, $dscomunicoes, $cdcomplecomuparc = null);
            
            list($primeiroNome, $meioNome, $ultimoNome) = self::decompoeNomePessoa($nome);

            $a = self::cadastraPessoa($nrorg, $parcnegocio->getParceiro()->getNrparcnegocio(), $dtmescompetencia, $nome,
                $primeiroNome, $meioNome, $ultimoNome, $dtnascimento, $sexo, $cpf, $estadocivil,
                $pais, $estado, $municipio, $nacionalidade, $grauinstrucao, $idpossuifilho);

            self::cadastraOperador($nome, $email, $dtnascimento, $nrorg, $email, $parcnegocio->getParceiro()->getNrparcnegocio(), $senha, $serviceOperador);

            $connection->commit();

        } catch (\Exception $e) {
            $connection->rollBack();
            throw new \Exception($e->getMessage());
        }

        return array($parcnegocio->getParceiro()->getNrparcnegocio(), $a);
    }

    /**
     * Insere Pessoa e Pessoah
     *
     * @param $nrorg
     * @param $parcnegocio
     * @param $dtmescompetencia
     * @param $nome
     * @param $primeiroNome
     * @param $meioNome
     * @param $ultimoNome
     * @param $dtnascimento
     * @param $sexo
     * @param $cpf
     * @param $estadocivil
     * @param $pais
     * @param $estado
     * @param $municipio
     * @param $nacionalidade
     * @param $grauinstrucao
     *
     * leonardocarvalho 11/02/2015
     */
    public static function cadastraPessoa($nrorg, $parcnegocio, $dtmescompetencia, $nome, $primeiroNome, $meioNome,
                                          $ultimoNome, $dtnascimento, $sexo, $cpf, $estadocivil, $pais, $estado,
                                          $municipio, $nacionalidade, $grauinstrucao, $idpossuifilho)
    {

        try {

            // CADASTRO DE PESSOA
            $pessoa = new Pessoa();
            $a = $pessoa->novaPessoa($nrorg, $parcnegocio, $dtmescompetencia, $nome, $primeiroNome, $meioNome,
                                $ultimoNome, $dtnascimento, $sexo, $cpf, $estadocivil, $pais,
                                $estado, $municipio, $nacionalidade, $grauinstrucao, $idpossuifilho);
            return $a;

        } catch (Exception $e) {

            /*$error = 'Ops! Não foi possível cadastrar, informe ao administrador o seguinte erro: ' . $e->getMessage();
            return 'E';*/

        }

    }

    /**
     * Atualiza dados da Pessoa
     *
     * @param $nrorg
     * @param $dtmescompetencia
     * @param $nrparcnegocio
     * @param $cdmunicipio
     * @param $sgestado
     * @param $cdpais
     * @param $nrnacionalid
     * @param $cdestacivil
     * @param $idsexopessoa
     * @param $dtcasapessoa
     * @param $dtnascpessoa
     * @param $nrcpfpessoa
     * @param $dsemailoper
     * @param $nmpessoa
     * @param $nrgrauinstr
     * @param $nrracapessoa
     * @param $nrrgpessoa
     * @param $cdexrgpessoa
     * @param $dtexrgpessoa
     * @param $dslocalexrgpes
     * @param $sgufrgpessoa
     * @param $nrtitueleipes
     * @param $nrzonaeleipes
     * @param $nrsecaeleipes
     * @param $idisentituelei
     * @param $nrcarthabpes
     * @param $dscateghabcart
     * @param $dtvalhabcartpes
     * @param $nrctpspessoa
     * @param $nrseriectpspes
     * @param $dtctpspessoa
     * @param $sgufctpspes
     * @param $nrpispaseppes
     * @param $dtinscpispasep
     * @param $nrregctpspes
     * @param $nrinscrconsreg
     * @param $dtexconsreg
     * @param $sgufconsreg
     * @param $nrcertresepes
     * @param $dtcertresepes
     *
     * leonardocarvalho 11/02/2015
     */
    public static function updatePessoa($nrorg, $dtmescompetencia, $nrparcnegocio, $cdmunicipio, $sgestado, $cdpais, $nrnacionalid, $cdestacivil, $idsexopessoa,
                                        $dtcasapessoa, $dtnascpessoa, $nrcpfpessoa, $dsemailoper, $nmpessoa, $nrgrauinstr, $nrracapessoa,
                                        $nrrgpessoa, $cdexrgpessoa, $dtexrgpessoa, $dslocalexrgpes, $sgufrgpessoa, $nrtitueleipes, $nrzonaeleipes, $nrsecaeleipes,
                                        $idisentituelei, $nrcarthabpes, $dscateghabcart, $dtvalhabcartpes, $nrctpspessoa, $nrseriectpspes, $dtctpspessoa,
                                        $sgufctpspes, $nrpispaseppes, $dtinscpispasep, $nrregctpspes, $nrinscrconsreg, $dtexconsreg,
                                        $sgufconsreg, $nrcertresepes, $dtcertresepes, $nrcondfispes)
    {

        try {

            // UPDATE DE PESSOA
            $pessoa = new updatePessoa();
            list($primeiroNome, $meioNome, $ultimoNome) = self::decompoeNomePessoa($nmpessoa);

            $pessoa->novaPessoa($nrorg, $dtmescompetencia, $nrparcnegocio, $cdmunicipio, $sgestado, $cdpais, $nrnacionalid, $cdestacivil, $idsexopessoa,
                $dtcasapessoa, $dtnascpessoa, $nrcpfpessoa, $dsemailoper, $nmpessoa, $primeiroNome, $meioNome, $ultimoNome, $nrgrauinstr, $nrracapessoa,
                $nrrgpessoa, $cdexrgpessoa, $dtexrgpessoa, $dslocalexrgpes, $sgufrgpessoa, $nrtitueleipes, $nrzonaeleipes, $nrsecaeleipes,
                $idisentituelei, $nrcarthabpes, $dscateghabcart, $dtvalhabcartpes, $nrctpspessoa, $nrseriectpspes, $dtctpspessoa,
                $sgufctpspes, $nrpispaseppes, $dtinscpispasep, $nrregctpspes, $nrinscrconsreg, $dtexconsreg,
                $sgufconsreg, $nrcertresepes, $dtcertresepes, $nrcondfispes);

        } catch (Exception $e) {

            /*$error = 'Ops! Não foi possível cadastrar, informe ao administrador o seguinte erro: ' . $e->getMessage();
            tk_message($error, 'warning');*/

        }

    }

    /**
     * Insere Formação do Candidato
     *
     * @param $nrorg
     * @param $parcnegocio
     * @param $dsobsacademico
     * @param $nrareaformacao
     * @param $dsareaformacao
     * @param $nrcargahoraria
     * @param $dtfimacad
     * @param $dtinicioacad
     * @param $nrgrauconferido
     * @param $dscurso
     * @param $nrcurso
     * @param $dsinstituicao
     * @param $dtinclusao
     * @param $cdidioma
     * @param $idnvidioma
     * @param $nrtipoformacao
     *
     * leonardocarvalho 11/02/2015
     */
    public static function cadastraFormacao($nrorg, $parcnegocio, $dsobsacademico, $nrareaformacao, $dsareaformacao,
                                            $nrcargahoraria, $dtfimacad, $dtinicioacad, $nrgrauconferido, $dscurso,
                                            $nrcurso, $dsinstituicao, $dtinclusao, $cdidioma, $idnvidioma, $nrtipoformacao)
    {
        $connection = \Setforms2\Shared\Registry::getEntityManagerConnection();
        $connection->beginTransaction();

        try {

            // CADASTRO DE FORMACAO
            $formacao = new Formacao();
            $formacao->novaFormacao($nrorg, $parcnegocio, $dsobsacademico, $nrareaformacao, $dsareaformacao,
                $nrcargahoraria, $dtfimacad, $dtinicioacad, $nrgrauconferido, $dscurso, $nrcurso, $dsinstituicao, $dtinclusao,
                $cdidioma, $idnvidioma, $nrtipoformacao);

            $connection->commit();

            /*$msg = 'Formação adicionada com sucesso.';
            tk_message($msg, 'success', 5000);*/

        } catch (Exception $e) {

            /*$error = 'Ops! Não foi possível cadastrar, informe ao administrador o seguinte erro: ' . $e->getMessage();
            tk_message($error, 'warning');*/

            $connection->rollBack();

        }

    }

    /**
     * Insere Conta Corrente na admissão do candidato
     *
     * @param $nrorg
     * @param $cdbanco
     * @param $cdagencia
     * @param $cdreducont
     * @param $nrtpcontcorr
     * @param $cdcontcorr
     * @param $nrparcnegocio
     *
     * leonardocarvalho 11/02/2015
     */
    public static function cadastraContcorrparc($nrorg, $cdbanco, $cdagencia, $cdreducont, $nrtpcontcorr, $cdcontcorr, $nrparcnegocio)
    {

        $connection = \Setforms2\Shared\Registry::getEntityManagerConnection();
        $connection->beginTransaction();

        try {

            // CADASTRO DE CONTA CORRENTE
            $contcorrparc = new ContcorrParc();
            $contcorrparc->novaContcorrParc($nrorg, $cdbanco, $cdagencia, $cdreducont, $nrtpcontcorr, $cdcontcorr, $nrparcnegocio);

            $connection->commit();

        } catch (Exception $e) {

            /*$error = 'Ops! Não foi possível cadastrar, informe ao administrador o seguinte erro: ' . $e->getMessage();
            tk_message($error, 'warning');*/
            $connection->rollBack();

        }

    }

    /**
     * Insere Experiencias Profissiocnais do candidato
     *
     * @param $nrorg
     * @param $parcnegocio
     * @param $dsobsprofissional
     * @param $nrremuneracao
     * @param $dsocupacao
     * @param $nrocupacaom
     * @param $dsreferencia
     * @param $nrmotivoresc
     * @param $cdmunicipioprof
     * @param $sgestadoprof
     * @param $cdpaisprof
     * @param $dtfimprof
     * @param $dtinicioprof
     * @param $dsempresa
     * @param $dtinclusao
     *
     * leonardocarvalho 11/02/2015
     */
    public static function cadastraEmpregoAnterior($nrorg, $parcnegocio, $dsobsprofissional, $nrremuneracao, $dsocupacao, $nrocupacaom, $dsreferencia, $nrmotivoresc,
                                                   $cdmunicipioprof, $sgestadoprof, $cdpaisprof, $dtfimprof, $dtinicioprof, $dsempresa, $dtinclusao) {

        $connection = \Setforms2\Shared\Registry::getEntityManagerConnection();
        $connection->beginTransaction();

        $valoresDefault = new ValoresDefault();
        $nrorg = $valoresDefault->getNrorgPadrao();
           try {

            // CADASTRO DE EMPREGO ANTERIOR
            $empreganterior = new EmpregAnterior();
            $empreganterior->novoEmpregAnterior($nrorg, $parcnegocio, $dsobsprofissional, $nrremuneracao, $dsocupacao, $nrocupacaom, $dsreferencia, $nrmotivoresc,
                $cdmunicipioprof, $sgestadoprof, $cdpaisprof, $dtfimprof, $dtinicioprof, $dsempresa, $dtinclusao);

            $connection->commit();

            /*$msg = 'Emprego anterior adicionado com sucesso.';
            tk_message($msg, 'success', 5000);*/

        } catch (Exception $e) {

            /*$error = 'Ops! Não foi possível cadastrar, informe ao administrador o seguinte erro: ' . $e->getMessage();
            tk_message($error, 'warning');*/
            $connection->rollBack();

        }

    }

    /**
     * Insere Operador para o candidato
     *
     * @param $nome
     * @param $email
     * @param $dtnascimento
     * @param $nrorg
     * @param $email
     * @param $parcnegocio
     *
     * leonardocarvalho 11/02/2015
     */
    public static function cadastraOperador($nome,$email,$dtnascimento,$nrorg,$email,$parcnegocio ,$senha, $serviceOperador) {

        try {
            $dtmescompetencia = DateUtil::getPrimeiroDiaDoMes(DateUtil::getDataAtual());
            // CADASTRO DE OPERADOR
            $operador = new Operador();
            $operador->novoOperador($nome, $email, $dtnascimento, $idligextoper = 'N', $idatuoperador = 'S',
                $nrorg, $cdprochabaprope = 'N', $cdprochabfecope = 'N', $cdfilial = '9999', $senha, $email, $parcnegocio, $serviceOperador);


            $dtinclusao = \Geral\Util\DateUtil::getDataAtual();
            $nrorgfilial = $nrorg;
            $nrorgoper = $nrorg;

 //           $operador->filiOper($operador->getCdoperador(), $cdfilial = '9999', $nrorg, $nrorgfilial, $dtinclusao);

//            $operador->gpeParamOper($operador->getCdoperador(), $nrorg, $dtmescompetencia, $idtpdtcompete = null, $nrorg, $iddebug = 'N', $dtinclusao);

//            $operador->gpeOrgRelOper($nrorg, $nrorgoper, $operador->getCdoperador(), $dtinclusao);

            $operador->OperGroupOp(self::CDGRUPOPER_CANDIDATO, $nrorg, $operador->getCdoperador(), $dtinclusao);

            //tk_set_env_var('CADASTRO', 'salvo');
            //tk_warning('Candidato cadastrado, agora insira informações acadêmicas e profissionais.');
        } catch (Exception $e) {

            /*$error = 'Ops! Não foi possível cadastrar, informe ao administrador o seguinte erro: ' . $e->getMessage();
            tk_message($error, 'warning');*/

        }

    }

    /**
     * Insere dependentes
     *
     * @param $nrorg
     * @param $dtmescompetencia
     * @param $nmpessoa
     * @param $cdmunicipio
     * @param $sgestado
     * @param $cdpais
     * @param $nrnacionalid
     * @param $cdestacivil
     * @param $idsexopessoa
     * @param $dtnascpessoa
     * @param $nrtiporelaciona
     * @param $dtfimrelacionamento
     * @param $nrparcnegocio
     *
     * leonardocarvalho 11/02/2015
     */
    public static function cadastraDependente($nrorg, $dtmescompetencia, $nmpessoa, $cdmunicipio, $sgestado, $cdpais, $nrnacionalid,
                                              $cdestacivil, $idsexopessoa, $dtnascpessoa, $nrtiporelaciona, $dtfimrelacionamento, $nrparcnegocio){
        $connection = \Setforms2\Shared\Registry::getEntityManagerConnection();
        $connection->beginTransaction();

        try {

            // CADASTRO DE PARCEIRO DE NEGÓCIO
            $parcnegocio = new ParceiroNegocio();
            $parcnegocio->novoParceiro($nrorg, 'S', $nmpessoa, $nmpessoa, self::TIPO_PARCEIRO, self::IDPESSOAFISICA,
                self::IDINSTITUICAO, self::CDTIPOINSCRICAO, '00000000000', $dtnascpessoa);

            list($primeiroNome, $meioNome, $ultimoNome) = self::decompoeNomePessoa($nmpessoa);

            // CADASTRO DE PESSOA
            self::cadastraPessoa($nrorg, $parcnegocio->getParceiro()->getNrparcnegocio(), $dtmescompetencia, $nmpessoa,
                $primeiroNome, $meioNome, $ultimoNome, $dtnascpessoa, $idsexopessoa, '', $cdestacivil,
                $cdpais, $sgestado, $cdmunicipio, $nrnacionalid, '');

            // CADASTRO DE DEPENDENTE
            $dependente = new Dependente();
            $dependente->novoDependente($nrorg, $nrtiporelaciona, $nrparcnegocio, $parcnegocio->getParceiro()->getNrparcnegocio());

            $connection->commit();

            /*$msg = 'Dependente cadastrado com sucesso.';
            tk_message($msg, 'success', 5000);*/

        } catch (Exception $e) {

            /*$error = 'Ops! Não foi possível cadastrar, informe ao administrador o seguinte erro: ' . $e->getMessage();
            tk_message($error, 'warning');*/
            $connection->rollBack();

        }
    }

    /**
     * Decompoe o nome da pessoa em primeiro, meio e ultimo
     * @param $nmpessoa
     * @return array $primeiroNome, $nomeMeio, $ultimoNome
     *
     * leonardocarvalho 11/02/2015
     */
    public static function decompoeNomePessoa($nmpessoa)
    {

        $arrayNmpessoa = explode(' ', $nmpessoa);
        $nomeMeio      = '';

        $primeiroNome = $arrayNmpessoa[0];
        for ($i = 1; $i < count($arrayNmpessoa) - 1; $i++) {
            $nomeMeio .= ' ' . $arrayNmpessoa[$i];
            $nomeMeio = trim($nomeMeio);
        }
        $ultimoNome = $arrayNmpessoa[count($arrayNmpessoa) - 1];
        $nomeMeio   = ($nomeMeio) ? : $ultimoNome;
        return array($primeiroNome, $nomeMeio, $ultimoNome);

    }

    /**
     * @param $save
     * @return bool
     *
     * leonardocarvalho 11/02/2015
     */
    public static function verificaSave($save){
        if ($save == 'salvo')
            return false;
        else
            return true;
    }

}