/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_IMPOSTOROP                                               */
/* Tabela : IMPOSTOROP                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 29/05/2007 - Pedro Nerino Viol de Lima                                     */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_IMPOSTOROP'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_IMPOSTOROP
GO


CREATE TRIGGER DTULTATU_IMPOSTOROP
ON IMPOSTOROP
FOR INSERT, UPDATE, DELETE
AS

BEGIN

   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'IMPOSTOROP', null, 'CDFILIAL=' + CDFILIAL + ';CDIMPOSTO=' + CDIMPOSTO +
                       ';IDTPIMPOSTOROP=' + IDTPIMPOSTOROP + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE IMPOSTOROP
      SET DTULTATUIMRO = GETDATE()
      FROM INSERTED;
   END;
   
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_IMPOSTOROP','4.11.136';
GO

